Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Google Cloud Key APIs

Viewing Synchronization Status

search

Please Note:

Viewing Synchronization Status

Use the get /v1/cckm/google/synchronization-jobs API to view the list of all synchronization jobs.

Syntax

curl -k '<IP>/api/v1/cckm/google/synchronization-jobs?skip=0&limit=10' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Request Parameters

ParameterTypeDescription
AUTHTOKENstringAuthorization token.
idstringResource ID of the synchronization job.
overall_statusstringOverall status of the synchronization job.
key_ringsarray of stringsName of the Google Cloud key rings.
skipintegerNumber of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.
limitintegerNumbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in the skip parameter) will be displayed in the output.
sortstringComma-delimited list of properties to sort the results.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/google/synchronization-jobs?skip=0&limit=10' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJhOGY3N2IxZS1lOTY2LTQwMjEtODRjMC01YjZiNjAzMTBmOWEiLCJzdWIiOiJsb2NhbHwzM2Y5ZDFmNi04MjJiLTQ0NTItOGM4MC1mYzM0ZGYyZTI3OGQiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNjcyMjMzMDAtYjU2ZC00ZmVmLTkwMDEtZGE1NGY2ZDdiMzY4Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImFlZWY5ZmY4LThhYjctNDUyZS04YTE4LTQ3YTYxZDg0MzAwZSIsImlhdCI6MTYyMDIwMzYxMCwiZXhwIjoxNjIwMjAzOTEwfQ.eGWVMC1yUBYbUSxr22aBPdP2Tg257k7D_5galuus2qg' --compressed

Example Response

{
    "skip": 0,
    "limit": 10,
    "total": 1,
    "resources": [
        {
            "id": "1f1d1b1b-a17c-486f-b864-db894af6efac",
            "uri": "kylo:kylo:cckm:synchronize:1f1d1b1b-a17c-486f-b864-db894af6efac",
            "account": "kylo:kylo:admin:accounts:kylo",
            "application": "ncryptify:gemalto:admin:apps:kylo",
            "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
            "createdAt": "2021-05-05T08:36:36.676642Z",
            "updatedAt": "2021-05-05T08:36:47.779786Z",
            "overall_status": "in_progress",
            "detailed_status": {
                "projects/gemalto-kyloeng/locations/global/keyRings/demo-key-ring": "in_progress"
            },
            "cloud": "gcp",
            "key_rings": [
                "projects/gemalto-kyloeng/locations/global/keyRings/demo-key-ring"
            ],
            "abort": false
        }
    ]
}

The sample output shows one synchronization job with the ID "1f1d1b1b-a17c-486f-b864-db894af6efac" that is in_progress.

The ID of a synchronization job is required to view details of the job. Refer to Viewing Details of a Synchronization Job for details.

Response Codes

Response CodeDescription
2xxSuccess
4xxClient errors
5xxServer errors

Refer to HTTP status codes for details.